<?php
//include('conect.php');
include "./conectpoo.php";
//include "../secciones.php";
//session_start();
session_unset();
$usuario=$_GET['usr'];
$pass=$_GET['pass'];
if(strlen($usuario)<1 || strlen($pass)<1){
	 error0();
}
else {
		session_start();
		$campo="*";
		$tabla="usuarios";
		$menu="";
		$objeto= new db();
		$datosbanner=$objeto->consultaregistrologin($campo, $usuario, $pass);
		if(count($datosbanner)==1){
    		
    		$_SESSION['id_estrategia'] = $datosbanner[0]["id_usuarios"];
			$_SESSION['nombre_estrategia'] = $datosbanner[0]["nombre"]." ".$datosbanner[0]["apellidos"];
			//apellidos

			$_SESSION['perfil_estrategia'] = $datosbanner[0]["perfil"];
			$subirimagenes = "home.php";
			/*$_SESSION['paterno'] = $datosbanner[0]["paterno"];
			$_SESSION['materno'] = $datosbanner[0]["materno"];
			$_SESSION['correo'] = $datosbanner[0]["correo"];
			$_SESSION['telefono'] = $datosbanner[0]["telefono"];
			$_SESSION['usuario'] = $datosbanner[$i]["usuario"];
			$_SESSION['contrasena'] = $datosbanner[$i]["contrasena"];
			$_SESSION['fecha'] = $datosbanner[0]["fecha"];
			$_SESSION['perfil'] = $datosbanner[0]["perfil"];
			$id=$_SESSION['perfil'];*/
			inicia();
		}else{
			error1();
		}
		//echo $datosbanner;
/*
for ($i = 0; $i<count($datosbanner); $i++){
		
		echo count($datosbanner);
 }*/

    /*echo $id_usuario=$datosbanner[$i]["id_usuario"];
    echo $usuario=$datosbanner[$i]["usuario"];
    echo $contrasena=$datosbanner[$i]["contrasena"];
    echo $nombre=$datosbanner[$i]["nombre"];
    echo $paterno=$datosbanner[$i]["paterno"];
    echo $materno=$datosbanner[$i]["materno"];
    echo $correo=$datosbanner[$i]["correo"];
    echo $telefono=$datosbanner[$i]["telefono"];
    echo $fecha=$datosbanner[$i]["fecha"];*/


/*

		$con = db_connect();
		$kuery = "SELECT  * FROM usuarios WHERE usuario='".$_GET['usr']."' AND pasword='".$_GET['pass']."' and estatus=1 ";
		$consulta=mysql_query($kuery,$con);
		if(mysql_num_rows($consulta)!=1){
		 mysql_close($con);
		error1();
		$_SESSION['nombre'] ="";
		}
		else{
		
		$reg= mysql_fetch_assoc($consulta);
			$_SESSION['nombre'] =$reg['nombre']." ".$reg['paterno'];
			$_SESSION['id'] = $reg['id_usuario'];
			$_SESSION['correo']= $reg['correo'];
			$_SESSION['area']=$reg['area'];
			$_SESSION['sueldo']=$reg['sueldo'];
			$_SESSION['puesto']=$reg['puesto'];
			$_SESSION['imagen']=$reg['imagen'];
			$_SESSION['perfil']=$reg['perfil'];
			$id=$_SESSION['perfil'];
			inicia();
		}*/
			

			//echo "llega adespues de inicia() antes de pbx();";
			//pbx();

			
}
			
function error0(){
	$respuesta=array("estatus"=>"denegado","lin"=>"Escribe un usuario o contraseña");
	$resultado=json_encode($respuesta);
	echo $resultado;
}
// error que muestra que el usuario o contraseña incorrecta
function error1(){
	$respuesta=array("estatus"=>"denegado","lin"=>"Verifique el usuario o contraseña");
	$resultado=json_encode($respuesta);
	echo $resultado;	
}
//funcion que muestra la bienvenida	
function inicia(){
global $seccion2;
global $subirimagenes;
$_SESSION['contenido']=$subirimagenes;
$respuesta=array("estatus"=>"aceptado","lin"=>"$subirimagenes");
	$resultado=json_encode($respuesta);
	 //registra($_SESSION['id'],"agente"); implemen
	echo $resultado;
}
?>
